[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# IsDynArrayRectangular

Check whether all dimensions have the same size

## Declaration

Source position: dynarrh.inc line 43

`function IsDynArrayRectangular(`
`a: Pointer;`
`typeInfo: Pointer`
`):Boolean;`

## Description

IsDynArrayRectangular returns True if all dimensions of the dynamic array a with type information typinfo have the same bounds. It returns True if the array is empty.

## See also

InitializeArray |  | Initialize managed-type elements in array
FinalizeArray |  | Finalize managed-type elements in array
CopyArray |  | Copy managed-type elements in array
DynArraySize |  | Return length of dynamic array
DynArrayClear |  | Clears a dynamic array
DynArrayBounds |  | Return the bounds of the dynamic array
DynArrayDim |  | Return the number of dimensions in a dynamic array